Skip to main content
POST
Positions History

Authorizations

X-TXC-APIKEY
string
header
required

The public WhiteBIT API key.

X-TXC-PAYLOAD
string
header
required

Base64-encoded JSON request body.

X-TXC-SIGNATURE
string
header
required

HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).

Body

application/json
market
string

Filter by specific market. Example: BTC_USDT

If not specified, returns position history for all markets.

Example:

"BTC_USDT"

positionId
integer

Filter by specific position identifier. If not specified, returns history for all positions.

Example:

1

request
string
Example:

"{{request}}"

nonce
string
Example:

"{{nonce}}"

Response

Successful response - returns array of position history

positionId
integer

Position identifier

Example:

111

market
string

Position market

Example:

"BTC_USDT"

openDate
number

Date of position opening in Unix timestamp format

Example:

1650400589.882613

modifyDate
number

Date of position modification (current event) in Unix timestamp format

Example:

1650400589.882613

amount
string

Position amount

Example:

"0.1"

basePrice
string

Base price of position

Example:

"45658.349"

realizedFunding
string

Funding fee for whole position lifetime till current state

Example:

"0"

liquidationPrice
string | null

Liquidation price according to current state of position

Example:

null

liquidationState
enum<string> | null

State of liquidation

Available options:
margin_call,
liquidation
Example:

null

orderDetail
object

Details of order which changes position

positionSide
enum<string>

Position side

Available options:
LONG,
SHORT,
BOTH
Example:

"LONG"